parameters:
    locale: 'en'

services:
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        public: true        # Allows optimizing the container by removing unused services; this also means
                            # fetching services directly from the container via $container->get() won't work.
                            # The best practice is to be explicit about your dependencies anyway.

    App\Api\Action\:
        resource: '../src/Api/Action/*'
        public: true
        autowire: true

    Roukmoute\HashidsBundle\Hashids: '@hashids'

imports:
    - { resource: "../src/Api/Resources/config/services.yml" }
    - { resource: "../src/Url/Resources/config/services.yml" }
